summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-03-17 13:04:02 +0100
committerHolger Levsen <holger@layer-acht.org>2015-03-17 13:04:02 +0100
commitc5b30d4eea758cac742d0673cd73188686c61d74 (patch)
treec6cbaf4a461f5b65bde8287927707f6ebe38ff14 /bin
parent1f0ef0b5dd01fc9c64a5020d3ef21589d16c735e (diff)
downloadjenkins.debian.net-c5b30d4eea758cac742d0673cd73188686c61d74.tar.xz
reproducible: another workaround for a complex system
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_html_graphs.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/bin/reproducible_html_graphs.sh b/bin/reproducible_html_graphs.sh
index 1b12418f..8d5fabc7 100755
--- a/bin/reproducible_html_graphs.sh
+++ b/bin/reproducible_html_graphs.sh
@@ -131,9 +131,13 @@ update_notes_stats() {
echo "Please investigate and fix!"
exit 1
elif [ ! -f ${NOTES_GIT_PATH}/packages.yml ] || [ ! -f ${NOTES_GIT_PATH}/issues.yml ] ; then
- echo "Warning: ${NOTES_GIT_PATH}/packages.yml or issues.yml does not exist, something has changed in notes.git it seems."
- echo "Please investigate and fix!"
- exit 1
+ # retry. sometimes these files vanish for a moment, probably when jenkins automatically updates the clones or such.
+ sleep 5
+ if [ ! -f ${NOTES_GIT_PATH}/packages.yml ] || [ ! -f ${NOTES_GIT_PATH}/issues.yml ] ; then
+ echo "Warning: ${NOTES_GIT_PATH}/packages.yml or issues.yml does not exist, something has changed in notes.git it seems."
+ echo "Please investigate and fix!"
+ exit 1
+ fi
fi
NOTES=$(grep -c -v "^ " ${NOTES_GIT_PATH}/packages.yml)
ISSUES=$(grep -c -v "^ " ${NOTES_GIT_PATH}/issues.yml)